=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#



VPATH = ../../bfd
pkgdatadir = $(datadir)/bfd
pkgincludedir = $(includedir)/bfd
pkglibdir = $(libdir)/bfd
pkglibexecdir = $(libexecdir)/bfd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
#am__append_1 = -rpath $(rpath_bfdlibdir)
am__append_2 = $(INCDIR)/plugin-api.h
subdir = .
DIST_COMMON = README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/config.in \
	$(srcdir)/../mkinstalldirs $(srcdir)/bfd-in2.h \
	$(top_srcdir)/po/Make-in $(srcdir)/../depcomp \
	$(am__bfdinclude_HEADERS_DIST)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../config/stdint.m4 $(top_srcdir)/../libtool.m4 \
	$(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
	$(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
	$(top_srcdir)/bfd.m4 $(top_srcdir)/warning.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = bfd-in3.h po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libbfd_a_AR = $(AR) $(ARFLAGS)
libbfd_a_LIBADD =
am_libbfd_a_OBJECTS =
libbfd_a_OBJECTS = $(am_libbfd_a_OBJECTS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(bfdlibdir)" \
	"$(DESTDIR)$(bfdincludedir)"
LTLIBRARIES = $(bfdlib_LTLIBRARIES) $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__objects_1 = archive.lo archures.lo bfd.lo bfdio.lo bfdwin.lo \
	cache.lo coffgen.lo corefile.lo format.lo init.lo libbfd.lo \
	opncls.lo reloc.lo section.lo syms.lo targets.lo hash.lo \
	linker.lo srec.lo binary.lo tekhex.lo ihex.lo stabs.lo \
	stab-syms.lo merge.lo dwarf2.lo simple.lo compress.lo \
	verilog.lo
am_libbfd_la_OBJECTS = $(am__objects_1)
libbfd_la_OBJECTS = $(am_libbfd_la_OBJECTS)
libbfd_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libbfd_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libbfd_la_rpath =
am_libbfd_la_rpath = -rpath $(bfdlibdir)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libbfd_a_SOURCES) $(libbfd_la_SOURCES) \
	$(EXTRA_libbfd_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__bfdinclude_HEADERS_DIST = $(INCDIR)/plugin-api.h bfd.h \
	$(INCDIR)/ansidecl.h $(INCDIR)/symcat.h $(INCDIR)/bfdlink.h
HEADERS = $(bfdinclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
BFD_HOSTPTR_T = unsigned long
BFD_HOST_64BIT_LONG = 1
BFD_HOST_64BIT_LONG_LONG = 0
BFD_HOST_64_BIT = long
BFD_HOST_64_BIT_DEFINED = 1
BFD_HOST_U_64_BIT = unsigned long
CATALOGS =  da.gmo es.gmo fi.gmo fr.gmo id.gmo ja.gmo ro.gmo ru.gmo rw.gmo sv.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -g -O2 -Wno-format-security
COREFILE = 
COREFLAG = 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEBUGDIR = ${exec_prefix}/lib/debug
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXEEXT_FOR_BUILD = $(EXEEXT)
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HDEFINES = 
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBINTL = 
LIBINTL_DEP = 
LIBM = -lm
LIBOBJS = 
LIBS = -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../bfd/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = bfd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = bfd
PACKAGE_STRING = bfd 2.23.90
PACKAGE_TARNAME = bfd
PACKAGE_URL = 
PACKAGE_VERSION = 2.23.90
PATH_SEPARATOR = :
PKGVERSION = (GNU Binutils for Ubuntu) 
POSUB = po
RANLIB = ranlib
REPORT_BUGS_TEXI = @uref{http://www.sourceware.org/bugzilla/}
REPORT_BUGS_TO = <http://www.sourceware.org/bugzilla/>
SED = /bin/sed
SET_MAKE = 
SHARED_LDFLAGS = 
SHARED_LIBADD = -L/scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../libiberty/pic -liberty -Wl,-lc,--as-needed,-lm,--no-as-needed
SHELL = /bin/bash
STRIP = strip
TDEFINES =   
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd
ac_ct_CC = 
ac_ct_DUMPBIN = 
all_backends = $(BFD64_BACKENDS) $(BFD32_BACKENDS)
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bfd64_libs = $(BFD64_LIBS)
bfd_backends =  elf64-aarch64.lo elfxx-aarch64.lo elf-ifunc.lo elf64.lo elf.lo elflink.lo elf-attrs.lo elf-strtab.lo elf-eh-frame.lo dwarf1.lo elf32-aarch64.lo elf32.lo elf32-arm.lo elf-nacl.lo elf-vxworks.lo elf64-gen.lo elf32-gen.lo plugin.lo
bfd_default_target_size = 64
bfd_file_ptr = BFD_HOST_64_BIT
bfd_machines =  cpu-aarch64.lo cpu-arm.lo cpu-plugin.lo
bfd_ufile_ptr = BFD_HOST_U_64_BIT
#bfdincludedir = 
bfdincludedir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/include
# Empty these so that the respective installation directories will not be created.
#bfdlibdir = 
bfdlibdir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/lib
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
havevecs = -DHAVE_bfd_elf64_littleaarch64_vec -DHAVE_bfd_elf64_bigaarch64_vec -DHAVE_bfd_elf32_littleaarch64_vec -DHAVE_bfd_elf32_bigaarch64_vec -DHAVE_bfd_elf32_littlearm_vec -DHAVE_bfd_elf32_bigarm_vec -DHAVE_bfd_elf64_little_generic_vec -DHAVE_bfd_elf64_big_generic_vec -DHAVE_bfd_elf32_little_generic_vec -DHAVE_bfd_elf32_big_generic_vec -DHAVE_plugin_vec
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_noncanonical = x86_64-linux-gnu
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
