=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright 2001, 2003, 2006, 2007, 2009 Free Software Foundation, Inc.
#
# This file may be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = bfd
VERSION = 2.23.90

SHELL = /bin/sh


srcdir = ../../../bfd/po
top_srcdir = ../../../bfd
VPATH = ../../../bfd/po
top_builddir = ..

prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
MKINSTALLDIRS = $(top_builddir)/../../bfd/../mkinstalldirs

CC = gcc
GENCAT = gencat
GMSGFMT = PATH=../src:$$PATH /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = PATH=../src:$$PATH /usr/bin/xgettext
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -Wno-format-security
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  $(srcdir)/fr.po $(srcdir)/tr.po $(srcdir)/ja.po $(srcdir)/es.po $(srcdir)/sv.po $(srcdir)/da.po $(srcdir)/zh_CN.po $(srcdir)/ro.po $(srcdir)/rw.po $(srcdir)/vi.po $(srcdir)/fi.po $(srcdir)/id.po $(srcdir)/ru.po $(srcdir)/uk.po
GMOFILES =  $(srcdir)/fr.gmo $(srcdir)/tr.gmo $(srcdir)/ja.gmo $(srcdir)/es.gmo $(srcdir)/sv.gmo $(srcdir)/da.gmo $(srcdir)/zh_CN.gmo $(srcdir)/ro.gmo $(srcdir)/rw.gmo $(srcdir)/vi.gmo $(srcdir)/fi.gmo $(srcdir)/id.gmo $(srcdir)/ru.gmo $(srcdir)/uk.gmo
DISTFILES = ChangeLog Makefile.in.in SRC-POTFILES.in BLD-POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of source dir POTFILES.
SRC-POTFILES = \
	../../../bfd/aix386-core.c \
	../../../bfd/aix5ppc-core.c \
	../../../bfd/aout-adobe.c \
	../../../bfd/aout-arm.c \
	../../../bfd/aout-cris.c \
	../../../bfd/aout-ns32k.c \
	../../../bfd/aout-sparcle.c \
	../../../bfd/aout-target.h \
	../../../bfd/aout-tic30.c \
	../../../bfd/aout0.c \
	../../../bfd/aout32.c \
	../../../bfd/aout64.c \
	../../../bfd/aoutf1.h \
	../../../bfd/aoutx.h \
	../../../bfd/archive.c \
	../../../bfd/archive64.c \
	../../../bfd/archures.c \
	../../../bfd/armnetbsd.c \
	../../../bfd/bfd.c \
	../../../bfd/bfdio.c \
	../../../bfd/bfdwin.c \
	../../../bfd/binary.c \
	../../../bfd/bout.c \
	../../../bfd/cache.c \
	../../../bfd/cf-i386lynx.c \
	../../../bfd/cf-sparclynx.c \
	../../../bfd/cisco-core.c \
	../../../bfd/coff-alpha.c \
	../../../bfd/coff-apollo.c \
	../../../bfd/coff-arm.c \
	../../../bfd/coff-aux.c \
	../../../bfd/coff-go32.c \
	../../../bfd/coff-h8300.c \
	../../../bfd/coff-h8500.c \
	../../../bfd/coff-i386.c \
	../../../bfd/coff-i860.c \
	../../../bfd/coff-i960.c \
	../../../bfd/coff-m68k.c \
	../../../bfd/coff-m88k.c \
	../../../bfd/coff-mips.c \
	../../../bfd/coff-or32.c \
	../../../bfd/coff-rs6000.c \
	../../../bfd/coff-sh.c \
	../../../bfd/coff-sparc.c \
	../../../bfd/coff-stgo32.c \
	../../../bfd/coff-svm68k.c \
	../../../bfd/coff-tic30.c \
	../../../bfd/coff-tic4x.c \
	../../../bfd/coff-tic54x.c \
	../../../bfd/coff-tic80.c \
	../../../bfd/coff-u68k.c \
	../../../bfd/coff-w65.c \
	../../../bfd/coff-we32k.c \
	../../../bfd/coff-x86_64.c \
	../../../bfd/coff-z80.c \
	../../../bfd/coff-z8k.c \
	../../../bfd/coff64-rs6000.c \
	../../../bfd/coffcode.h \
	../../../bfd/coffgen.c \
	../../../bfd/cofflink.c \
	../../../bfd/coffswap.h \
	../../../bfd/compress.c \
	../../../bfd/corefile.c \
	../../../bfd/cpu-aarch64.c \
	../../../bfd/cpu-alpha.c \
	../../../bfd/cpu-arc.c \
	../../../bfd/cpu-arm.c \
	../../../bfd/cpu-avr.c \
	../../../bfd/cpu-bfin.c \
	../../../bfd/cpu-cr16.c \
	../../../bfd/cpu-cr16c.c \
	../../../bfd/cpu-cris.c \
	../../../bfd/cpu-crx.c \
	../../../bfd/cpu-d10v.c \
	../../../bfd/cpu-d30v.c \
	../../../bfd/cpu-dlx.c \
	../../../bfd/cpu-epiphany.c \
	../../../bfd/cpu-fr30.c \
	../../../bfd/cpu-frv.c \
	../../../bfd/cpu-h8300.c \
	../../../bfd/cpu-h8500.c \
	../../../bfd/cpu-hppa.c \
	../../../bfd/cpu-i370.c \
	../../../bfd/cpu-i386.c \
	../../../bfd/cpu-i860.c \
	../../../bfd/cpu-i960.c \
	../../../bfd/cpu-ia64.c \
	../../../bfd/cpu-ip2k.c \
	../../../bfd/cpu-iq2000.c \
	../../../bfd/cpu-k1om.c \
	../../../bfd/cpu-l1om.c \
	../../../bfd/cpu-lm32.c \
	../../../bfd/cpu-m10200.c \
	../../../bfd/cpu-m10300.c \
	../../../bfd/cpu-m32c.c \
	../../../bfd/cpu-m32r.c \
	../../../bfd/cpu-m68hc11.c \
	../../../bfd/cpu-m68hc12.c \
	../../../bfd/cpu-m68k.c \
	../../../bfd/cpu-m88k.c \
	../../../bfd/cpu-m9s12x.c \
	../../../bfd/cpu-m9s12xg.c \
	../../../bfd/cpu-mcore.c \
	../../../bfd/cpu-mep.c \
	../../../bfd/cpu-metag.c \
	../../../bfd/cpu-microblaze.c \
	../../../bfd/cpu-mips.c \
	../../../bfd/cpu-mmix.c \
	../../../bfd/cpu-moxie.c \
	../../../bfd/cpu-msp430.c \
	../../../bfd/cpu-mt.c \
	../../../bfd/cpu-nios2.c \
	../../../bfd/cpu-ns32k.c \
	../../../bfd/cpu-openrisc.c \
	../../../bfd/cpu-or32.c \
	../../../bfd/cpu-pdp11.c \
	../../../bfd/cpu-pj.c \
	../../../bfd/cpu-plugin.c \
	../../../bfd/cpu-powerpc.c \
	../../../bfd/cpu-rl78.c \
	../../../bfd/cpu-rs6000.c \
	../../../bfd/cpu-rx.c \
	../../../bfd/cpu-s390.c \
	../../../bfd/cpu-score.c \
	../../../bfd/cpu-sh.c \
	../../../bfd/cpu-sparc.c \
	../../../bfd/cpu-spu.c \
	../../../bfd/cpu-tic30.c \
	../../../bfd/cpu-tic4x.c \
	../../../bfd/cpu-tic54x.c \
	../../../bfd/cpu-tic6x.c \
	../../../bfd/cpu-tic80.c \
	../../../bfd/cpu-tilegx.c \
	../../../bfd/cpu-tilepro.c \
	../../../bfd/cpu-v850.c \
	../../../bfd/cpu-v850_rh850.c \
	../../../bfd/cpu-vax.c \
	../../../bfd/cpu-w65.c \
	../../../bfd/cpu-we32k.c \
	../../../bfd/cpu-xc16x.c \
	../../../bfd/cpu-xgate.c \
	../../../bfd/cpu-xstormy16.c \
	../../../bfd/cpu-xtensa.c \
	../../../bfd/cpu-z80.c \
	../../../bfd/cpu-z8k.c \
	../../../bfd/demo64.c \
	../../../bfd/dwarf1.c \
	../../../bfd/dwarf2.c \
	../../../bfd/ecoff.c \
	../../../bfd/ecofflink.c \
	../../../bfd/ecoffswap.h \
	../../../bfd/elf-attrs.c \
	../../../bfd/elf-bfd.h \
	../../../bfd/elf-eh-frame.c \
	../../../bfd/elf-hppa.h \
	../../../bfd/elf-ifunc.c \
	../../../bfd/elf-linux-psinfo.h \
	../../../bfd/elf-m10200.c \
	../../../bfd/elf-m10300.c \
	../../../bfd/elf-nacl.c \
	../../../bfd/elf-strtab.c \
	../../../bfd/elf-vxworks.c \
	../../../bfd/elf.c \
	../../../bfd/elf32-am33lin.c \
	../../../bfd/elf32-arc.c \
	../../../bfd/elf32-arm.c \
	../../../bfd/elf32-avr.c \
	../../../bfd/elf32-bfin.c \
	../../../bfd/elf32-cr16.c \
	../../../bfd/elf32-cr16c.c \
	../../../bfd/elf32-cris.c \
	../../../bfd/elf32-crx.c \
	../../../bfd/elf32-d10v.c \
	../../../bfd/elf32-d30v.c \
	../../../bfd/elf32-dlx.c \
	../../../bfd/elf32-epiphany.c \
	../../../bfd/elf32-fr30.c \
	../../../bfd/elf32-frv.c \
	../../../bfd/elf32-gen.c \
	../../../bfd/elf32-h8300.c \
	../../../bfd/elf32-hppa.c \
	../../../bfd/elf32-hppa.h \
	../../../bfd/elf32-i370.c \
	../../../bfd/elf32-i386.c \
	../../../bfd/elf32-i860.c \
	../../../bfd/elf32-i960.c \
	../../../bfd/elf32-ip2k.c \
	../../../bfd/elf32-iq2000.c \
	../../../bfd/elf32-lm32.c \
	../../../bfd/elf32-m32c.c \
	../../../bfd/elf32-m32r.c \
	../../../bfd/elf32-m68hc11.c \
	../../../bfd/elf32-m68hc12.c \
	../../../bfd/elf32-m68hc1x.c \
	../../../bfd/elf32-m68k.c \
	../../../bfd/elf32-m88k.c \
	../../../bfd/elf32-mcore.c \
	../../../bfd/elf32-mep.c \
	../../../bfd/elf32-metag.c \
	../../../bfd/elf32-microblaze.c \
	../../../bfd/elf32-mips.c \
	../../../bfd/elf32-moxie.c \
	../../../bfd/elf32-msp430.c \
	../../../bfd/elf32-mt.c \
	../../../bfd/elf32-nios2.c \
	../../../bfd/elf32-openrisc.c \
	../../../bfd/elf32-or32.c \
	../../../bfd/elf32-pj.c \
	../../../bfd/elf32-ppc.c \
	../../../bfd/elf32-rl78.c \
	../../../bfd/elf32-rx.c \
	../../../bfd/elf32-s390.c \
	../../../bfd/elf32-score.c \
	../../../bfd/elf32-score7.c \
	../../../bfd/elf32-sh-symbian.c \
	../../../bfd/elf32-sh.c \
	../../../bfd/elf32-sh64-com.c \
	../../../bfd/elf32-sh64.c \
	../../../bfd/elf32-sparc.c \
	../../../bfd/elf32-spu.c \
	../../../bfd/elf32-tic6x.c \
	../../../bfd/elf32-tilegx.c \
	../../../bfd/elf32-tilepro.c \
	../../../bfd/elf32-v850.c \
	../../../bfd/elf32-vax.c \
	../../../bfd/elf32-xc16x.c \
	../../../bfd/elf32-xgate.c \
	../../../bfd/elf32-xstormy16.c \
	../../../bfd/elf32-xtensa.c \
	../../../bfd/elf32.c \
	../../../bfd/elf64-alpha.c \
	../../../bfd/elf64-gen.c \
	../../../bfd/elf64-hppa.c \
	../../../bfd/elf64-hppa.h \
	../../../bfd/elf64-ia64-vms.c \
	../../../bfd/elf64-mips.c \
	../../../bfd/elf64-mmix.c \
	../../../bfd/elf64-ppc.c \
	../../../bfd/elf64-s390.c \
	../../../bfd/elf64-sh64.c \
	../../../bfd/elf64-sparc.c \
	../../../bfd/elf64-tilegx.c \
	../../../bfd/elf64-x86-64.c \
	../../../bfd/elf64.c \
	../../../bfd/elfcode.h \
	../../../bfd/elfcore.h \
	../../../bfd/elflink.c \
	../../../bfd/elfn32-mips.c \
	../../../bfd/elfxx-aarch64.c \
	../../../bfd/elfxx-ia64.c \
	../../../bfd/elfxx-mips.c \
	../../../bfd/elfxx-sparc.c \
	../../../bfd/elfxx-tilegx.c \
	../../../bfd/epoc-pe-arm.c \
	../../../bfd/epoc-pei-arm.c \
	../../../bfd/format.c \
	../../../bfd/freebsd.h \
	../../../bfd/genlink.h \
	../../../bfd/go32stub.h \
	../../../bfd/hash.c \
	../../../bfd/hp300bsd.c \
	../../../bfd/hp300hpux.c \
	../../../bfd/hpux-core.c \
	../../../bfd/i386aout.c \
	../../../bfd/i386bsd.c \
	../../../bfd/i386dynix.c \
	../../../bfd/i386freebsd.c \
	../../../bfd/i386linux.c \
	../../../bfd/i386lynx.c \
	../../../bfd/i386mach3.c \
	../../../bfd/i386msdos.c \
	../../../bfd/i386netbsd.c \
	../../../bfd/i386os9k.c \
	../../../bfd/ieee.c \
	../../../bfd/ihex.c \
	../../../bfd/init.c \
	../../../bfd/irix-core.c \
	../../../bfd/libaout.h \
	../../../bfd/libbfd.c \
	../../../bfd/libbfd.h \
	../../../bfd/libcoff.h \
	../../../bfd/libecoff.h \
	../../../bfd/libhppa.h \
	../../../bfd/libieee.h \
	../../../bfd/libnlm.h \
	../../../bfd/liboasys.h \
	../../../bfd/libpei.h \
	../../../bfd/libxcoff.h \
	../../../bfd/linker.c \
	../../../bfd/lynx-core.c \
	../../../bfd/m68k4knetbsd.c \
	../../../bfd/m68klinux.c \
	../../../bfd/m68knetbsd.c \
	../../../bfd/m88kmach3.c \
	../../../bfd/m88kopenbsd.c \
	../../../bfd/mach-o-i386.c \
	../../../bfd/mach-o-x86-64.c \
	../../../bfd/mach-o.c \
	../../../bfd/mach-o.h \
	../../../bfd/merge.c \
	../../../bfd/mipsbsd.c \
	../../../bfd/mmo.c \
	../../../bfd/netbsd.h \
	../../../bfd/newsos3.c \
	../../../bfd/nlm-target.h \
	../../../bfd/nlm.c \
	../../../bfd/nlm32-alpha.c \
	../../../bfd/nlm32-i386.c \
	../../../bfd/nlm32-ppc.c \
	../../../bfd/nlm32-sparc.c \
	../../../bfd/nlm32.c \
	../../../bfd/nlm64.c \
	../../../bfd/nlmcode.h \
	../../../bfd/nlmswap.h \
	../../../bfd/ns32k.h \
	../../../bfd/ns32knetbsd.c \
	../../../bfd/oasys.c \
	../../../bfd/opncls.c \
	../../../bfd/osf-core.c \
	../../../bfd/pc532-mach.c \
	../../../bfd/pdp11.c \
	../../../bfd/pe-arm-wince.c \
	../../../bfd/pe-arm.c \
	../../../bfd/pe-i386.c \
	../../../bfd/pe-mcore.c \
	../../../bfd/pe-mips.c \
	../../../bfd/pe-ppc.c \
	../../../bfd/pe-sh.c \
	../../../bfd/pe-x86_64.c \
	../../../bfd/pef-traceback.h \
	../../../bfd/pef.c \
	../../../bfd/pef.h \
	../../../bfd/pei-arm-wince.c \
	../../../bfd/pei-arm.c \
	../../../bfd/pei-i386.c \
	../../../bfd/pei-ia64.c \
	../../../bfd/pei-mcore.c \
	../../../bfd/pei-mips.c \
	../../../bfd/pei-ppc.c \
	../../../bfd/pei-sh.c \
	../../../bfd/pei-x86_64.c \
	../../../bfd/peicode.h \
	../../../bfd/plugin.c \
	../../../bfd/ppcboot.c \
	../../../bfd/reloc.c \
	../../../bfd/reloc16.c \
	../../../bfd/riscix.c \
	../../../bfd/rs6000-core.c \
	../../../bfd/sco5-core.c \
	../../../bfd/section.c \
	../../../bfd/simple.c \
	../../../bfd/som.c \
	../../../bfd/som.h \
	../../../bfd/sparclinux.c \
