=== binutils-2.23.90.20131116/debian/changelog ===
binutils (2.23.90.20131116-1ubuntu2) trusty; urgency=low

  * On AArch64, don't set LIBPATH_SUFFIX to 64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2013 13:31:11 +0200

binutils (2.23.90.20131116-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 13:54:31 +0100

binutils (2.23.90.20131116-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2013 12:40:28 +0100

binutils (2.23.90.20131017-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2013 14:27:21 +0200

binutils (2.23.90.20131017-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2013 14:22:05 +0200

binutils (2.23.90.20130927-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Sep 2013 16:22:51 +0200

binutils (2.23.90.20130927-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.
  * Add ifunc support for AArch64.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Sep 2013 14:05:44 +0200

binutils (2.23.52.20130913-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Sep 2013 13:52:59 +0200

binutils (2.23.52.20130828-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2013 15:25:50 +0200

binutils (2.23.52.20130828-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2013 15:22:51 +0200

binutils (2.23.52.20130727-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2013 11:29:57 +0200

binutils (2.23.52.20130727-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jul 2013 10:37:11 +0200

binutils (2.23.52.20130722-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2013 22:37:02 +0200

binutils (2.23.52.20130722-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix PR ld/15762, glibc being built without warning sections.
  * Set the libdir for arm64 to lib, not lib64.
  * Stop building the binutils-gold package, let binutils provide
    binutils-gold.  Packages requiring gold should explicity pass
    -fuse-ld=gold to the compiler, packages requiring the bfd linker
    should pass -fuse-ld=bfd to the compiler.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2013 21:13:32 +0200

binutils (2.23.52.20130620-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 12:31:29 +0200

binutils (2.23.52.20130620-1) unstable; urgency=low

  * New upstream snapshot.
  * Add conflicts with mingw binutils. Closes: #712057, #712063.
  * Always compare the test results with the ones from the installed binutils.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jun 2013 12:27:31 +0200

binutils (2.23.52.20130612-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jun 2013 12:26:59 +0200

binutils (2.23.52.20130612-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix issue #15323, redefining weak functions in -flto incrementally-linked
      executable. Closes: #710936.
  * Install libiberty.a again in binutils-dev, not installed anymore upstream
    by default.
  * Import the autopkg tests from Ubuntu.
  * Enable i386pep emulation for the x86 builds. Closes: #703463.
  * Fix typo in ld(1). Closes: #704867.
  * Add mips64(el) support (YunQiang Su). Closes: #710214.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jun 2013 11:35:05 +0200

binutils (2.23.52.20130611-1ubuntu2) saucy; urgency=low

  * Restore lost changes from 2.23.2-2ubuntu2 and 2.23.2-2ubuntu3.
  * Install libiberty.a alongside libiberty_pic.a in binutils-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 20:45:00 -0600

binutils (2.23.52.20130611-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2013 15:00:49 +0200

binutils (2.23.52.20130611-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jun 2013 14:53:06 +0200

binutils (2.23.52.20130522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 22 May 2013 16:22:04 +0200

binutils (2.23.2-2ubuntu3) saucy; urgency=low

  * debian/tests/control: Add a Depends: field as "@" does not work for this
    package (binutils-hppa64 cannot be installed on other architectures).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Jun 2013 07:12:42 +0200

binutils (2.23.2-2ubuntu2) saucy; urgency=low

  * Fix wrong syntax in debian/tests/control that's causing autopkgtest
    failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Jun 2013 07:50:53 -0700

binutils (2.23.2-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Add simple rebuild autopkgtest.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2013 02:57:24 +0200

binutils (2.23.2-2) experimental; urgency=low

  * Add support for Cortex-A53 / Cortex-A57.

