=== debian/changelog ===
binutils-arm64-cross (0.11) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.14-1~).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Dec 2013 13:42:07 +0100

binutils-arm64-cross (0.10) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20130913-0~).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 19:43:58 +0100
