=== binutils-2.23.90.20131116/debian/control ===
Source: binutils
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.64),
  bison, flex, gettext, texinfo, dejagnu (>= 1.4.2-1.1), quilt,
  python3, file, xz-utils, lsb-release, zlib1g-dev
XS-Testsuite: autopkgtest

Package: binutils-aarch64-linux-gnu
Architecture: any
Depends: binutils, ${shlibs:Depends}
Suggests: binutils-doc (= ${Source-Version})
Priority: extra
Description: GNU binary utilities, for aarch64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for aarch64-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for aarch64-linux-gnu.
