=== binutils-2.23.90.20131116/debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.20)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2007 James Troup.
# Portions Copyright 2008-2012 Canonical Ltd.
# Portions Copyright 2008-2012 Matthias Klose.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

################################################################################

p_bin = binutils
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64
p_spu = $(p_bin)-spu
p_src = $(p_bin)-source
p_static = $(p_bin)-static
p_udeb = $(p_static)-udeb

# BACKPORT is used for cross builds for a -source package not conflicting
# with the source package of the native package.
ifeq ($(BACKPORT),true)
  p_src = $(p_bin)-$(VERSION)-source
else
  p_src = $(p_bin)-source
endif

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)
d_spu = debian/$(p_spu)
d_src = debian/$(p_src)
d_static = debian/$(p_static)
d_udeb = debian/$(p_udeb)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

# If $(TARGET) is not set, try reading debian/target
ifeq (,$(TARGET))
  ifneq (,$(wildcard debian/target))
    TARGET := $(shell cat debian/target 2>/dev/null)
  endif
endif

ifneq (,$(TARGET))
  # Support TARGET both as Debian architecture specification (e.g. arm),
  # and as the target name (e.g. arm-linux-gnu).
  try_convert := $(shell dpkg-architecture -f -a$(TARGET) -qDEB_HOST_GNU_TYPE 2>/dev/null)
  ifneq ($(try_convert),)
    override TARGET := $(try_convert)
  endif
  DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
  DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
else
  DEB_TARGET_MULTIARCH = $(DEB_HOST_MULTIARCH)
  DEB_TARGET_ARCH      = $(DEB_HOST_ARCH)
endif

ifneq (,$(TARGET))
  APPEND_TOOLLIBDIR=yes
  export APPEND_TOOLLIBDIR
endif

ifeq (,$(DEB_HOST_MULTIARCH))
  ifeq ($(DEB_HOST_ARCH),i386)
    DEB_HOST_MULTIARCH = i386-linux-gnu
  else
    DEB_HOST_MULTIARCH = $(DEB_HOST_GNU_TYPE)
  endif
endif

SHELL  = /bin/bash

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc powerpcspe ppc64 ppc64el sparc sparc64 x32))
  with_gold = yes
  gold_provides = -Vgold:Provides=binutils-gold
endif

with_multiarch := yes
with_static := yes

CC     = gcc
CXX    = g++
CFLAGS = -g -O2 -Wno-format-security
STRIP  = strip --remove-section=.comment --remove-section=.note
CROSS :=
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CROSS := $(DEB_HOST_GNU_TYPE)-
  CC   = $(CROSS)gcc
  CXX  = $(CROSS)g++
  STRIP= $(CURDIR)/debian/strip.cross
  install_binary = install -m 755 -s --strip-program="$(STRIP)"
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS = -g -O0
endif

# this outputs 0 or 1 depending on whether a macro appears in the *default* cpp
# -dM -P output; this is used to test the toolchain *default* configuration
check_cpp = $(shell $(CROSS)cpp -dM -P /dev/null | grep -q '^\#define $(1)' && echo 1 || echo 0)

# testsuite doesn't expect to be built with -mthumb
# TODO if the testsuite is only broken with Thumb-2 (and not with "Thumb-1"),
# we should test for __thumb2__ instead
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  ifeq ($(call check_cpp,__thumb__),1)
    CFLAGS += -marm
  endif
endif

SPACE = $(EMPTY) $(EMPTY)
COMMA = ,
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
        sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

DEB_VERSION	:= $(call vafilt,$(CHANGELOG_VARS),Version)
DEB_SVERSION	:= $(shell echo $(DEB_VERSION) | sed 's/+b[0-9][0-9]*$$//')
DEB_UPSTREAM	:= $(firstword $(subst -,$(SPACE),$(DEB_VERSION)))

VERSION		:= $(shell sed -n 's/^ *VERSION=\(.*\)/\1/p' bfd/configure | head -1 | tr -d \')
DATE		:= $(shell sed -n 's/.* \([0-9]*\)$$/\1/p' bfd/version.h)
ifneq (,$(DATE))
  DATE_EXT	:= .$(DATE)
endif

ifneq ($(DEB_UPSTREAM),$(VERSION)$(DATE_EXT))
  $(error upstream ($(DEB_UPSTREAM)) and debian ($(VERSION)$(DATE_EXT)) version mismatch)
endif

STATIC_UDEB   = $(p_udeb)_$(DEB_VERSION)_$(DEB_HOST_ARCH).udeb

SINGLE_VERSION= $(VERSION)-system
MULTI_VERSION = $(VERSION)-multiarch
HPPA64_VERSION= $(VERSION)-hppa64
SPU_VERSION   = $(VERSION)-spu

DISTRIBUTION := $(shell lsb_release -is)
NJOBS =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif
ifneq (,$(findstring nogold,$(DEB_BUILD_OPTIONS)))
  with_gold = disabled in DEB_BUILD_OPTIONS
endif
ifneq (,$(findstring nostat,$(DEB_BUILD_OPTIONS)))
  with_static = disabled in DEB_BUILD_OPTIONS
endif
ifneq (,$(findstring nomult,$(DEB_BUILD_OPTIONS)))
  with_multiarch = disabled in DEB_BUILD_OPTIONS
endif

# PF is the installation prefix for the package without the leading slash.
# It's "usr" for gcc releases, so use this if not explicitly set
ifeq ($(PF),)
  PF = usr
endif

# Don't include docs with GFDL invariant sections
GFDL_INVARIANT_FREE := yes
ifeq ($(distribution),Ubuntu)
  GFDL_INVARIANT_FREE := no
endif

gfdl_toplevel_texinfo_files = \
	bfd/doc/bfd.texinfo \
	bfd/doc/bfdint.texi \
	ld/ldint.texinfo

gfdl_generated_files = \
	bfd/doc/bfd.info

########################################

CONFARGS = \
	--enable-shared \
	--enable-plugins \
	--prefix=/$(PF) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--with-pkgversion="GNU Binutils for $(DISTRIBUTION)"

ifeq ($(DEB_TARGET_MULTIARCH),x86_64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = i386-linux-gnu
  DEB_TARGET_MULTIARCHX32 = x86_64-linux-gnux32
else ifeq ($(DEB_TARGET_MULTIARCH),x86_64-linux-gnux32)
  DEB_TARGET_MULTIARCH32 = i386-linux-gnu
  DEB_TARGET_MULTIARCH64 = x86_64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),powerpc64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = powerpc-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),s390x-linux-gnu)
  DEB_TARGET_MULTIARCH32 = s390-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),sparc64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = sparc-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),x86_64-kfreebsd-gnu)
  DEB_TARGET_MULTIARCH32 = i386-kfreebsd-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),i386-linux-gnu)
  DEB_TARGET_MULTIARCH64 = x86_64-linux-gnu
  DEB_TARGET_MULTIARCHX32 = x86_64-linux-gnux32
else ifeq ($(DEB_TARGET_MULTIARCH),powerpc-linux-gnu)
  DEB_TARGET_MULTIARCH64 = powerpc64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),sparc-linux-gnu)
  DEB_TARGET_MULTIARCH64 = sparc64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),s390-linux-gnu)
  DEB_TARGET_MULTIARCH64 = s390x-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),i386-kfreebsd-gnu)
  DEB_TARGET_MULTIARCH64 = x86_64-kfreebsd-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),mips-linux-gnu)
  DEB_TARGET_MULTIARCH64 = mips64-linux-gnuabi64
  DEB_TARGET_MULTIARCHN32 = mips64-linux-gnuabin32
else ifeq ($(DEB_TARGET_MULTIARCH),mipsel-linux-gnu)
  DEB_TARGET_MULTIARCH64 = mips64el-linux-gnuabi64
  DEB_TARGET_MULTIARCHN32 = mips64el-linux-gnuabin32
else ifeq ($(DEB_TARGET_MULTIARCH),mips64-linux-gnuabin32)
  DEB_TARGET_MULTIARCH64 = mips64-linux-gnuabi64
  DEB_TARGET_MULTIARCH32 = mips-linux-gnu
